<template>
  <div id="diveScreenSwitcher">
    <label class="switch" id="screenSaver">
      <input type="checkbox" v-model="sreenSaverMode" for="screenSaver" />
      <span v-if="sreenSaverMode" class="sliderScPositionOne"></span>
      <span v-else class="sliderScPositionTwo"></span>
      <p class="title dynamic-title">
        <span v-if="sreenSaverMode">Sreen OFF</span>
        <span v-else>Screen ON</span>
      </p>
    </label>
  </div>
</template>

<script>
export default {
  name: "diveScreenSwitcher",

  data() {
    return {
      sreenSaverMode: false,
    };
  },
  mounted() {
    let screenSaver = document.documentElement;
    let screenSave = localStorage.getItem("screenSave");
    if (screenSave === "dark" || screenSave == null) {
      screenSaver.setAttribute("screenSave", "dark");
      this.sreenSaverMode = true;
    } else {
      screenSaver.setAttribute("screenSave", "light");
      this.sreenSaverMode = false;
    }
  },
  watch: {
    sreenSaverMode: function () {
      let screenSaver = document.documentElement;
      if (this.sreenSaverMode) {
        localStorage.setItem("screenSave", "dark");
        screenSaver.setAttribute("screenSave", "dark");
      } else {
        localStorage.setItem("screenSave", "light");
        screenSaver.setAttribute("screenSave", "light");
      }
    },
  },
};
</script>
